Remove a phone number from reputation monitoring (no enterprise_id required)
Convenience alias for DELETE /v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}.
DELETE
/
reputation
/
numbers
/
{phone_number}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.reputation.numbers.delete('+19493253498');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.reputation.numbers.delete(
"+19493253498",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Reputation.Numbers.Delete(context.TODO(), "+19493253498")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reputation.numbers.NumberDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.reputation().numbers().delete("+19493253498");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.reputation.numbers.delete("+19493253498")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->reputation->numbers->delete('+19493253498');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reputation:numbers delete \
--api-key 'My API Key' \
--phone-number +19493253498curl --request DELETE \
--url https://api.telnyx.com/v2/reputation/numbers/{phone_number} \
--header 'Authorization: Bearer <token>'Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
Phone number in E.164 format (+1NPANXXXXXX for US/CA). The leading + MUST be URL-encoded as %2B (e.g. %2B19493253498).
Example:
"+19493253498"
Response
204 (no body)
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.reputation.numbers.delete('+19493253498');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.reputation.numbers.delete(
"+19493253498",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Reputation.Numbers.Delete(context.TODO(), "+19493253498")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reputation.numbers.NumberDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.reputation().numbers().delete("+19493253498");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.reputation.numbers.delete("+19493253498")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->reputation->numbers->delete('+19493253498');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reputation:numbers delete \
--api-key 'My API Key' \
--phone-number +19493253498curl --request DELETE \
--url https://api.telnyx.com/v2/reputation/numbers/{phone_number} \
--header 'Authorization: Bearer <token>'